<?php
// +-------------------------------------------------+
// | 2002-2007 PMB Services / www.sigb.net pmb@sigb.net et contributeurs (voir www.sigb.net)
// +-------------------------------------------------+
// $Id: module_fichier.class.php,v 1.2.10.1 2025/12/03 07:33:11 dgoron Exp $

if (stristr($_SERVER['REQUEST_URI'], ".class.php")) die("no access");

global $class_path;
require_once($class_path."/modules/module.class.php");

class module_fichier extends module{
	
    public function proceed_search(){
        fiches_controller::proceed($this->object_id);
    }
    
    public function proceed_search_advanced(){
        global $include_path;
        global $sub, $action;
        
        $sc = new search(false,"search_fields",$include_path."/fichier/");
        $sc->isfichier=true;
        switch($sub){
            case 'launch':
                $sc->show_results_fichier("./fichier.php?categ=search_advanced&sub=launch","./fichier.php?categ=search_advanced", true, '', true );
                break;
            default:
                if (!empty($action)) {
                    fiches_controller::proceed($this->object_id);
                } else {
                    print $sc->show_form("./fichier.php?categ=search_advanced","./fichier.php?categ=search_advanced&sub=launch");
                }
                break;
        }
    }
    
    public function proceed_reindex() {
        fiches_reindex_controller::proceed($this->object_id);
    }
}